SDL_CreateDirectory(3)

NAME
SDL_CreateDirectory - Create a directory, and any missing parent directories.

SYNOPSIS
#include <SDL3/SDL_filesystem.h>

bool SDL_CreateDirectory(const char *path);

DESCRIPTION
This reports success if path already exists as a directory.

If parent directories are missing, it will also create them. Note that if this fails, it will not remove any parent directories it already made.

FUNCTION PARAMETERS

path
    the path of the directory to create.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.